Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01659 Sound Major Always Mar 31, 2008, 13:32 Apr 4, 2008, 14:19
Tester Mamesick View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver
Version 0.124a Fixed in Version 0.124u2 Build Normal
Summary 01659: stereo balancing is wrong
Description Stereo balancing is wrong in all games that are configured to be stereo. Sound comes mainly from right channel, left channel is barely audible. Just try CPS2 or CAVE.C games for a confirmation. Regression is 0.123u3 when I guess speakers handling was partially rewritten to be an internal device.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.123u3
Affected Sets / Systems
Attached Files
png file icon 0.124a_dsfdcta.png (42,501 bytes) Apr 1, 2008, 00:17
wav file icon 0.124a.wav (1,936,532 bytes) Apr 1, 2008, 00:18
ogg file icon sfa_0124u1.ogg (622,896 bytes) Apr 3, 2008, 16:00
png file icon sfa_0124u1.png (36,348 bytes) Apr 3, 2008, 16:00
Relationships
related to 01655Resolved All sets in neodrvr.c: NeoGeo sound mainly emitted from the left channel 
Notes
9
User avatar
No.00488
Tafoid
Administrator
Mar 31, 2008, 21:35
I tried SFA and recorded waves of MAME 0.123 and 0.124. I looked at the levels with a sound editing program and I noticed 0.123 was pretty even in balance and when playing, the volume levels were essentially the same. 0.124 it appeared to me that the right side output was about 2 times louder that the left side judging from the volume levels. There is a difference, but was it accurate before - or now?
User avatar
No.00489
Fujix
Administrator
Apr 1, 2008, 00:21
Just for reference, I tested dsfdcta and the left output is normal as 0.123.
The right channel level is too high and causes terrible clipping noise.
User avatar
No.00502
Kekule
Tester
Apr 2, 2008, 21:34
edited on: Apr 3, 2008, 21:27
Several games show unbalanced stereo output. Moreover, at a certain time, all the audio comes from the left channel only. Outrun and Turbo Outrun also show some unsettled framerate, till the left channel matter happens.
User avatar
No.00507
aaron
Developer
Apr 3, 2008, 07:53
I'm not seeing this. Reports that state that "several games do this" are useless to me. Are there any non-CHD games that do this? Please re-verify with 0.124u1 and give me some specific games and examples. sfa does not appear to have any problems in 0.124u1.
User avatar
No.00515
Fujix
Administrator
Apr 3, 2008, 16:15
sfa has the problem here in 0.124u1. The output level of the right channel is almost twice as the left.

As far as I checked, all stereo games suffer from the same problem, I think it is fundamental and all stereo games probably have the problem.
User avatar
No.00526
aaron
Developer
Apr 3, 2008, 18:19
Are you just running the attract mode? When I get home I'll post you my WAV which shows identical volumes on both sides. I wonder if this is a compiler issue.
User avatar
No.00530
Tafoid
Administrator
Apr 3, 2008, 19:01
My original testing was running from command line with a -STR 30 and recording that input to a .WAV file. As Fujix confirmed, the same behavior is present in 0.124u1. Using default compilation tools here, MAMEDEV approved :)
User avatar
No.00539
aaron
Developer
Apr 4, 2008, 05:26
Indeed. I can reproduce this only with gcc, not with MS Visual Studio. Both 32-bit and 64-bit work fine. Which means I have to debug it with the crappy debugger. Sigh.
User avatar
No.00557
aaron
Developer
Apr 4, 2008, 14:19
Okay, figured it out.